//=========================================================================== 
// Organization : Individual Developer 
// Filename     : testbench.sv
// Author       : Feng Bohan
// Create Time  : 20:06:44 2024-12-02
// Last Modified: 20:12:07 2024-12-02
// Abstract     :  
//--------------------------------------------------------------------------
// Description:
// 
//--------------------------------------------------------------------------
// Modification History:
//--------------------------------------------------------------------------
// Rev      Date        Who         Description
// ---      ----        ---         -----------
// 0.0.01   2024-12-02  Feng Bohan  initial version
//===========================================================================
`include "uvm_macros.svh"
import uvm_pkg::*;
module testbench;
    top dut_top();
`ifdef TEST1
    string version = "test1";
`else
    string version = "test2";
`endif

    initial begin
        `uvm_info("testbench::", $sformatf("start %s", version), UVM_LOW)
    `ifdef TEST1
        $display("sub_module name = %s", dut_top.a.name);
    `else
        $display("sub_module name = %s", dut_top.a.name);
        $display("sub_module name = %s", dut_top.b.name);
        $display("sub_module name = %s", dut_top.c.name);
    `endif
        `uvm_info("testbench::", $sformatf("finish %s", version), UVM_LOW)
    end
endmodule
